org.apache.commons.fileupload.servlet

## Class FileCleanerCleanup

- java.lang.Object
- - org.apache.commons.fileupload.servlet.FileCleanerCleanup

- All Implemented Interfaces:
    EventListener, ServletContextListener

      public class FileCleanerCleanup
      extends Object
      implements ServletContextListener

  A servlet context listener, which ensures that the `FileCleaningTracker`'s reaper thread is terminated, when the web application is destroyed.
  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILE_CLEANING_TRACKER_ATTRIBUTE` Attribute name, which is used for storing an instance of `FileCleaningTracker` in the web application.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileCleanerCleanup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(ServletContextEvent sce)` Called when the web application is being destroyed.
    `void` | `contextInitialized(ServletContextEvent sce)` Called when the web application is initialized.
    `static org.apache.commons.io.FileCleaningTracker` | `getFileCleaningTracker(ServletContext pServletContext)` Returns the instance of `FileCleaningTracker`, which is associated with the given `ServletContext`.
    `static void` | `setFileCleaningTracker(ServletContext pServletContext, org.apache.commons.io.FileCleaningTracker pTracker)` Sets the instance of `FileCleaningTracker`, which is associated with the given `ServletContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_CLEANING_TRACKER_ATTRIBUTE

          public static final String FILE_CLEANING_TRACKER_ATTRIBUTE

      Attribute name, which is used for storing an instance of `FileCleaningTracker` in the web application.

  - ### Constructor Detail

    - #### FileCleanerCleanup

          public FileCleanerCleanup()

  - ### Method Detail

    - #### getFileCleaningTracker

          public static org.apache.commons.io.FileCleaningTracker getFileCleaningTracker(ServletContext pServletContext)

      Returns the instance of `FileCleaningTracker`, which is associated with the given `ServletContext`.
      Parameters:
        `pServletContext` - The servlet context to query
      Returns:
        The contexts tracker

    - #### setFileCleaningTracker

          public static void setFileCleaningTracker(ServletContext pServletContext,
                                                    org.apache.commons.io.FileCleaningTracker pTracker)

      Sets the instance of `FileCleaningTracker`, which is associated with the given `ServletContext`.
      Parameters:
        `pServletContext` - The servlet context to modify
        `pTracker` - The tracker to set

    - #### contextInitialized

          public void contextInitialized(ServletContextEvent sce)

      Called when the web application is initialized. Does nothing.
      Specified by:
        `contextInitialized` in interface `ServletContextListener`
      Parameters:
        `sce` - The servlet context, used for calling `setFileCleaningTracker(ServletContext, FileCleaningTracker)`.

    - #### contextDestroyed

          public void contextDestroyed(ServletContextEvent sce)

      Called when the web application is being destroyed. Calls `FileCleaningTracker.exitWhenFinished()`.
      Specified by:
        `contextDestroyed` in interface `ServletContextListener`
      Parameters:
        `sce` - The servlet context, used for calling `getFileCleaningTracker(ServletContext)`.

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.